<div class="page-layout blank p-24" >
    <div fxLayout="row" fxLayoutAlign="space-between center" fxLayoutGap="20px">
        <div fxFlex="100" class="mat-elevation-z8">
            <mat-card class="example-card">
                <mat-card-header>
                    <div mat-card-avatar class="example-header-image"></div>
                    <mat-card-title>Medications</mat-card-title>
                </mat-card-header>

                <mat-card-actions *ngIf="authService.isNurse()">

                    <div class="example-button-container">
                        <!-- ADD CONTACT BUTTON -->
                        <button mat-mini-fab class="primary" id="add-medication-button" (click)="add()"
                                aria-label="add medication"
                                [@animate]="{value:'*', params:{delay:'300ms',scale:'.2'}}">
                            <mat-icon>add</mat-icon>
                        </button>

                    </div>
                </mat-card-actions>
                <mat-card-content>
                    <!--
                    <mat-form-field>
                        <mat-label>Filter</mat-label>
                         <label>
                            <input matInput (keyup)="applyFilter($event)" placeholder="filter">
                        </label> 
                    </mat-form-field>
                    -->
                        <!-- <mat-select name="type" >
                            <mat-option value="all" selected="selected">all</mat-option>
                            <mat-option value="Infos" >Infos</mat-option>
                            <mat-option value="Urgent">Urgent</mat-option>
                        </mat-select> -->
                        <div>
                            <input 
                             placeholder="search by name" [(ngModel)]='keyword'>
                            <button (click)="search()" mat-raised-button color="primary">Search</button>
                        </div>
                    

                    <table mat-table [dataSource]="dataSource">

                        <!-- Checkbox Column -->
                        <ng-container matColumnDef="select">
                            <th mat-header-cell *matHeaderCellDef>
                                <mat-checkbox (change)="$event ? masterToggle() : null"
                                              [checked]="selection.hasValue() && isAllSelected()"
                                              [indeterminate]="selection.hasValue() && !isAllSelected()"
                                              [aria-label]="checkboxLabel()">
                                </mat-checkbox>
                                <button mat-icon-button [matMenuTriggerFor]="menu">
                                    <mat-icon>more_vert</mat-icon>
                                </button>
                                <mat-menu #menu="matMenu" yPosition="above">

                                    <button mat-menu-item (click)="removeSelectedRows()">
                                        <mat-icon>delete</mat-icon>
                                    </button>
                                </mat-menu>
                            </th>
                            <td mat-cell *matCellDef="let row">
                                <mat-checkbox (click)="$event.stopPropagation()"
                                              (change)="$event ? selection.toggle(row) : null"
                                              [checked]="selection.isSelected(row)" [aria-label]="checkboxLabel(row)">
                                </mat-checkbox>
                            </td>
                        </ng-container>

                        <!-- firstName Column -->
                        <ng-container matColumnDef="name">
                            <th mat-header-cell *matHeaderCellDef> name</th>
                            <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                        </ng-container>

                        <ng-container matColumnDef="Actions"
                        *ngIf="this.authService.isNurse()"
                        >
                            <!--                            <mat-header-cell *matHeaderCellDef>Actions</mat-header-cell>-->
                            <th mat-header-cell *matHeaderCellDef> Actions</th>
                            <td *matCellDef="let element">
                                <div class="example-button-container">
                                    <button (click)="delete(element.id)" mat-mini-fab color="primary"
                                            aria-label="Example icon button with a home icon">
                                        <mat-icon>delete</mat-icon>
                                    </button>
                                    <button (click)="edit(element)" mat-mini-fab color="primary"
                                            aria-label="Example icon button with a home icon">
                                        <mat-icon>edit</mat-icon>
                                    </button>

                                </div>
                            </td>
                        </ng-container>

                        <tr mat-header-row *matHeaderRowDef="getDisplayedColumns()"></tr>
                        <tr mat-row *matRowDef="let row; columns: getDisplayedColumns();" (click)="selection.toggle(row)">
                        </tr>
                    </table>

                    <mat-paginator #paginator [length]="length" [pageIndex]="pageIndex" [pageSize]="pageSize"
                        [pageSizeOptions]="[5, 10, 15]" (page)="pageEvent = getServerData($event)"
                        showFirstLastButtons>

                    </mat-paginator>

                </mat-card-content>

            </mat-card>
        </div>
    </div>





</div>